MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Auth
Bundler
Bundles
Add MCP to BundleCreate BundleRemove MCP from BundleDelete BundleFollow Public BundleGet BundleGet Public BundleUpdate Bundle Entry PermissionsUpdate BundleList BundlesUnfollow Public Bundle
Catalog
Deployments
Discover
LLM
MCP Listing Claims
MCP Listings
OAuth2
Observability
Organisations
Reviews
Roadmap
SCIM
Users
Utils
Vault
Webhooks
API ReferenceBundles

Add MCP to Bundle

POST
/v1/bundles/{bundle_id}/entries

Adds an MCP listing to the bundle. Rejects private or organization MCPs when the bundle is public.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

bundle_id*Bundle Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/bundles/497f6eca-6276-4993-bfeb-53cbbbba6f08/entries" \  -H "Content-Type: application/json" \  -d '{    "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",    "alias": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "listing_id": "5322d4a9-51d2-4408-82fb-01ffecfb8304",  "alias": "string",  "allowed_tools": [    null  ],  "allowed_resources": [    null  ],  "allowed_prompts": [    null  ],  "auth_strategy": "string",  "mcp_url": "string",  "listing": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "namespace": "string",    "visibility": "public",    "title": "string",    "short_description": "string",    "icon_url": "string",    "icon_bg_color": "string",    "icon_text_color": "string",    "provider_name": "string",    "transport": "string",    "pricing": "string",    "avg_rating": 0,    "install_count": 0,    "featured": false,    "has_app_ui": false,    "category": {      "id": 0,      "name": "string",      "slug": "string",      "description": "string",      "icon": "string",      "mcp_count": 0    },    "tags": []  }}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Bundles

Endpoints in the Bundles group.

Create Bundle

Next Page

listing_id*Listing Id
Formatuuid
alias*Alias
Length1 <= length <= 64
auth_strategy?Auth Strategy
Default"NONE"